# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getPageByIdAndUser_query($baseSiteId: String!, $categoryCode: String, $cmsTicketId: String, $fields: occ_queryInput_getPageByIdAndUser_fields, $pageId: String!, $productCode: String, $userId: String!) {
  occ_getPageByIdAndUser(
    baseSiteId: $baseSiteId
    categoryCode: $categoryCode
    cmsTicketId: $cmsTicketId
    fields: $fields
    pageId: $pageId
    productCode: $productCode
    userId: $userId
  ) {
    ... on occ_CMSPage {
      additionalProperties
      catalogVersionUuid
      contentSlots {
        contentSlot {
          additionalProperties
          components {
            component {
              additionalProperties
              modifiedtime
              name
              typeCode
              uid
              uuid
            }
          }
          name
          position
          slotId
          slotShared
          slotStatus
          slotUuid
        }
      }
      defaultPage
      description
      name
      robotTag
      template
      title
      typeCode
      uid
      uuid
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}